release_tracks: [GA, ALPHA, BETA]
help_text:
  brief: Update a multicast group producer activation.
  description: |
    Update a multicast group producer activation in the specified location of the current project.
  examples: |
    Update a multicast group producer activation with the name `my-mgpa`
    and location `zone`.

      $ {command} my-mgpa --description="new description" --location=zone
arguments:
  resource:
    spec: !REF googlecloudsdk.command_lib.network_services.resources:multicastGroupProducerActivation
    help_text: |
      Name of the multicast group producer activation to be updated.
  params:
  - arg_name: description
    api_field: multicastGroupProducerActivation.description
    help_text: The description for the multicast group producer activation.
  labels:
    api_field: multicastGroupProducerActivation.labels
update:
  read_modify_update: true
async:
  collection: networkservices.projects.locations.operations
request: &request
  GA:
    api_version: v1
  ALPHA:
    api_version: v1alpha1
  BETA:
    api_version: v1beta1
  collection: networkservices.projects.locations.multicastGroupProducerActivations
  method: patch
